## r-cran-uuid 0.1.2

=== DESCRIPTION ===
Package: uuid
Version: 0.1-2
Title: Tools for generating and handling of UUIDs
Author: Simon Urbanek <Simon.Urbanek@r-project.org> (R package), Theodore Ts'o <tytso@thunk.org> (libuuid)
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0)
Description: Tools for generating and handling of UUIDs (Universally Unique Identifiers).
License: MIT + file LICENSE
URL: http://www.rforge.net/uuid
NeedsCompilation: yes
Packaged: 2015-07-27 20:57:43 UTC; svnuser
Repository: CRAN
Date/Publication: 2015-07-28 08:03:46

=== debian/changelog ===
r-cran-uuid (0.1.2-9) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 17:00:03 +0200

r-cran-uuid (0.1.2-8) unstable; urgency=medium

  * Switch to dh compat 10
  * Use canonical CRAN URL

 -- Gordon Ball <gordon@chronitis.net>  Tue, 10 Jan 2017 16:15:25 +0100

r-cran-uuid (0.1.2-7) unstable; urgency=medium

  [ Gordon Ball ]
  * Update Standards-Version to 3.9.8
  * Convert to debhelper

  [ Andreas Tille ]
  * Use the canonical CRAN URL for the homepage

 -- Gordon Ball <gordon@chronitis.net>  Tue, 25 Oct 2016 20:09:47 +0200

r-cran-uuid (0.1.2-6) unstable; urgency=medium

  * Fix broken autopkgtest.
  * Now maintained in the debian-science team.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 25 Mar 2016 12:05:56 +0100

r-cran-uuid (0.1.2-5) unstable; urgency=medium

  * Initial release. (Closes: #814740)

 -- Gordon Ball <gordon@chronitis.net>  Sun, 20 Mar 2016 17:47:44 +0100

=== debian/control ===
Source: r-cran-uuid
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Gordon Ball <gordon@chronitis.net>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uuid
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uuid.git
Homepage: https://cran.r-project.org/package=uuid

Package: r-cran-uuid
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools for generating and handling UUIDs
 GNU R library providing tools for generating and handling UUIDs
 (Universally Unique Identifiers). Time-based and fully random
 UUIDs are supported.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/uuid_([\d.]+)-(\d+)\.tar\.gz/r-cran-uuid-$1.$2\.tar\.gz/,dversionmangle=s/([\d.]+)\.(\d+)/$1-$2/ \
https://cran.r-project.org/src/contrib/uuid_([-\d.]*)\.tar\.gz

## r-cran-uuid 0.1.4

=== DESCRIPTION ===
Package: uuid
Version: 0.1-4
Title: Tools for Generating and Handling of UUIDs
Author: Simon Urbanek <Simon.Urbanek@r-project.org> (R package), Theodore Ts'o <tytso@thunk.org> (libuuid)
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0)
Description: Tools for generating and handling of UUIDs (Universally Unique Identifiers).
License: MIT + file LICENSE
URL: http://www.rforge.net/uuid
NeedsCompilation: yes
Packaged: 2020-02-25 22:42:43 UTC; svnuser
Repository: CRAN
Date/Publication: 2020-02-26 19:50:05 UTC

=== debian/changelog ===
r-cran-uuid (0.1.4-1) unstable; urgency=medium

  * New upstream version 0.1.4
  * Drop d/compat, update to debhelper compat 12
  * d/control: Update to Standards-Version 4.5.0
  * d/copyright: use https for format URL
  * d/control: declare Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Thu, 27 Feb 2020 20:02:02 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uuid
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uuid.git
 Homepage: https://cran.r-project.org/package=uuid
+Rules-Requires-Root: no
 
 Package: r-cran-uuid
 Architecture: any

## r-cran-uuid 1.0

=== DESCRIPTION ===
Package: uuid
Version: 1.0-3
Title: Tools for Generating and Handling of UUIDs
Author: Simon Urbanek <Simon.Urbanek@r-project.org> (R package), Theodore Ts'o <tytso@thunk.org> (libuuid)
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0)
Description: Tools for generating and handling of UUIDs (Universally Unique Identifiers).
License: MIT + file LICENSE
URL: http://www.rforge.net/uuid
NeedsCompilation: yes
Packaged: 2021-10-29 23:13:23 UTC; rforge
Repository: CRAN
Date/Publication: 2021-11-01 17:42:01 UTC

## r-cran-uuid 1.0-3

=== debian/changelog ===
r-cran-uuid (1.0-3-1) unstable; urgency=medium

  * New upstream version 1.0-3

 -- Gordon Ball <gordon@chronitis.net>  Tue, 02 Nov 2021 18:51:42 +0000

r-cran-uuid (1.0-2-1) unstable; urgency=medium

  * New upstream version 1.0-2
  * d/watch: drop mangle rules, use upstream x.y-z numbering
  * d/control: Standards-Version 4.6.0
  * d/tests: drop handwritten require-only test, use autopkgtest-pkg-r
  * d/control: debhelper compat 13

 -- Gordon Ball <gordon@chronitis.net>  Wed, 27 Oct 2021 17:54:21 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uuid
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uuid.git
 Homepage: https://cran.r-project.org/package=uuid
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-uuid
 Architecture: any

## r-cran-uuid 1.1

=== DESCRIPTION ===
Package: uuid
Version: 1.1-0
Title: Tools for Generating and Handling of UUIDs
Author: Simon Urbanek <Simon.Urbanek@r-project.org> (R package), Theodore Ts'o <tytso@thunk.org> (libuuid)
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0)
Description: Tools for generating and handling of UUIDs (Universally Unique Identifiers).
License: MIT + file LICENSE
URL: https://www.rforge.net/uuid
BugReports: https://github.com/s-u/uuid
NeedsCompilation: yes
Packaged: 2022-04-19 04:03:46 UTC; rforge
Repository: CRAN
Date/Publication: 2022-04-19 06:11:27 UTC

## r-cran-uuid 1.1-0

=== debian/changelog ===
r-cran-uuid (1.1-0-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 13:06:55 +0200

r-cran-uuid (1.0-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net> (R-U)
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Mar 2022 18:20:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: r-cran-uuid
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Gordon Ball <gordon@chronitis.net>
-Section: gnu-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uuid
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uuid.git
+Homepage: https://cran.r-project.org/package=uuid
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uuid
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uuid.git
-Homepage: https://cran.r-project.org/package=uuid
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-uuid

## r-cran-uuid 1.2

=== DESCRIPTION ===
Package: uuid
Version: 1.2-2
Title: Tools for Generating and Handling of UUIDs
Author: Simon Urbanek [aut, cre, cph] (https://urbanek.org, ORCID:
    <https://orcid.org/0000-0003-2297-1732>),
  Theodore Ts'o [aut, cph] (libuuid)
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Authors@R: c(person("Simon", "Urbanek", role=c("aut","cre","cph"), email="Simon.Urbanek@r-project.org", comment=c("https://urbanek.org", ORCID="0000-0003-2297-1732")), person("Theodore","Ts'o", email="tytso@thunk.org", role=c("aut","cph"), comment="libuuid"))
Depends: R (>= 2.9.0)
Description: Tools for generating and handling of UUIDs (Universally Unique Identifiers).
License: MIT + file LICENSE
URL: https://www.rforge.net/uuid
BugReports: https://github.com/s-u/uuid/issues
NeedsCompilation: yes
Packaged: 2026-01-23 00:09:28 UTC; rforge
Repository: CRAN
Date/Publication: 2026-01-23 06:40:09 UTC

## r-cran-uuid 1.2-0

=== debian/changelog ===
r-cran-uuid (1.2-0-1) unstable; urgency=medium

  * Team upload.
  * Fix typo in d/clean

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 14:24:21 +0100

r-cran-uuid (1.1-1-2) unstable; urgency=medium

  * Team upload.
  * Fix clean
    Closes: #1046799

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 16:50:47 +0200

r-cran-uuid (1.1-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Aug 2023 13:30:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uuid
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uuid.git
 Homepage: https://cran.r-project.org/package=uuid
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-uuid 1.2-1

=== debian/changelog ===
r-cran-uuid (1.2-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 02 Aug 2024 07:40:00 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uuid
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uuid.git
 Homepage: https://cran.r-project.org/package=uuid
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/uuid_([-\d.]*)\.tar\.gz

## r-cran-uuid 1.2-2

=== debian/changelog ===
r-cran-uuid (1.2-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 11:42:15 +0900

=== debian/control ===
Source: r-cran-uuid
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Gordon Ball <gordon@chronitis.net>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-uuid
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-uuid.git
Homepage: https://cran.r-project.org/package=uuid
Rules-Requires-Root: no

Package: r-cran-uuid
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Tools for generating and handling UUIDs
 GNU R library providing tools for generating and handling UUIDs
 (Universally Unique Identifiers). Time-based and fully random
 UUIDs are supported.
